Bug 1018887 - make sure we point out that people shutdown agents if colocated on server machine
make sure we point out that people shutdown agents if colocated on server mac...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: Deon Ballard
Mike Foley
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 11:37 EDT by John Mazzitelli
Modified: 2014-10-23 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:43:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-10-14 11:37:25 EDT
If an agent was installed on the same machine as a JON Server, make it clear in docs that people have to shutdown that agent before running rhqctl to upgrade.

See bug #1013674 and bug #1012289 for issues where people were confused about that.
Comment 1 Larry O'Leary 2013-10-14 12:06:11 EDT
Seems that both of these referenced bug were identified by our own QA process. I am not sure documentation is the best way to "identify" bugs in our products. 

I have re-opened bug 1012289 to track this as a known issue for 3.2. At this point, I do not believe our install/upgrade documentation should change. Installation and upgrade of an existing agent should not be impacted by the installation/upgrade of the server outside of the standard agent auto-upgrade that is performed.
Comment 2 John Mazzitelli 2013-10-14 12:13:00 EDT
(In reply to Larry O'Leary from comment #1)
> Seems that both of these referenced bug were identified by our own QA
> process. I am not sure documentation is the best way to "identify" bugs in
> our products. 
> 
> I have re-opened bug 1012289 to track this as a known issue for 3.2. At this
> point, I do not believe our install/upgrade documentation should change.
> Installation and upgrade of an existing agent should not be impacted by the
> installation/upgrade of the server outside of the standard agent
> auto-upgrade that is performed.

For sure, our installation procedures of an agent (on a JON Server machine) is different now. We require rhqctl.

If you have an agent-only machine, installation procedures are the same.
Comment 3 Simeon Pinder 2013-10-24 00:16:30 EDT
Moving to ER05 as missed the cutoff for ER04.
Comment 4 Deon Ballard 2014-05-09 23:43:31 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.